=== debian/control ===
Source: kf6-kservice
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
Rules-Requires-Root: no

Package: libkf6service-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca6.

Package: libkf6service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf6service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-dev (>= 6.18.0~),
         libkf6coreaddons-dev (>= 6.18.0~),
         libkf6doctools-dev (>= 6.18.0~),
         libkf6i18n-dev (>= 6.18.0~),
         libkf6service6 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf6service-doc (= ${source:Version}),
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf6service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6service6
Architecture: any
Multi-Arch: same
Depends: libkf6service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6service-bin (= ${binary:Version}),
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
