=== docs/CMakeLists.txt ===
add_subdirectory(kbuildsycoca6)
