=== docs/kbuildsycoca6/CMakeLists.txt ===
kdoctools_create_manpage(man-kbuildsycoca6.8.docbook 8 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
