## kf6-kservice 6.19.0+p24.04+vstable+git20251008.1106

=== debian/changelog ===
kf6-kservice (6.19.0+p24.04+vstable+git20251008.1106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:06:19 +0000

kf6-kservice (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:07:39 +0000
