=== debian/changelog ===
kf6-kservice (6.19.0+p24.04+vstable+git20251015.0931-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:31:56 +0000
