## kf6-kservice 6.19.0+p24.04+vstable+git20251021.0549

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
                   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
 
 find_package(KF6Config ${KF_DEP_VERSION} CONFIG REQUIRED)
