=== debian/changelog ===
kf6-kservice (6.19.0+p24.04+vstable+git20251021.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:49:49 +0000
