=== debian/control ===
Source: kf6-kservice
Section: libs
Priority: optional
Build-Depends: bison,
               cmake,
               dbus-x11,
               debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               doxygen,
               flex,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               libxml2-utils,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kservice
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kservice.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kservice
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kservice
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6service-bin, libkf6service-data, libkf6service6
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca6.

Package: kf6-kservice-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kconfig-dev,
         kf6-kcoreaddons-dev,
         kf6-kservice (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6service-dev, libkf6service-doc
Recommends: kf6-kservice (= ${source:Version})
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf6service6
Architecture: all
Depends: kf6-kservice, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6service-bin
Architecture: all
Depends: kf6-kservice, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6service-data
Architecture: all
Depends: kf6-kservice, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6service-dev
Architecture: all
Depends: kf6-kservice-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6service-doc
Architecture: all
Depends: kf6-kservice-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
