=== debian/changelog ===
kf6-kservice (6.20.0+p24.04+vunstable+git20251206.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:06:36 +0000
