## kf6-kservice 6.21.0

=== debian/changelog ===
kf6-kservice (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:03 +0000
