## kf6-kservice 6.21.0+p24.04+vstable+git20251215.0203

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.19.0
+    KF 6.21.0
 )
 
 ki18n_install(po)
