## kf6-kservice 6.21.0+p24.04+vstable+git20251226.0205

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kservice6\")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
     KF 6.21.0
 )
