=== debian/changelog ===
kf6-kservice (6.21.0+p24.04+vstable+git20251226.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:05:40 +0000

kf6-kservice (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:04 +1000
