## kf6-kservice 6.22.0+p24.04+vunstable+git20260123.0335

=== debian/changelog ===
kf6-kservice (6.22.0+p24.04+vunstable+git20260123.0335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:35:29 +0000
