=== debian/changelog ===
kf6-kservice (6.23.1-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release (6.23.1)
  * Drop included patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Mar 2026 17:38:18 +0000

kf6-kservice (6.23.0-0ubuntu2) resolute; urgency=medium

  * Backport upstream crash fix as suggested by upstream.
    https://invent.kde.org/frameworks/kservice/-/merge_requests/226

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Mar 2026 13:11:00 +0000

kf6-kservice (6.23.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.23.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Feb 2026 11:40:30 +0000
