=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: kf6-kservice
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Priority: optional
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.27~),
                doxygen,
                extra-cmake-modules (>= 6.23.0~),
                libkf6config-dev (>= 6.23.0~),
                libkf6coreaddons-dev (>= 6.23.0~),
                libkf6doctools-dev (>= 6.23.0~),
                libkf6i18n-dev (>= 6.23.0~),
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.3
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kservice
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
+Rules-Requires-Root: no
 
 Package: libkf6service-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -33,7 +35,7 @@
 Package: libkf6service-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
